Subject: Diameter Saga - carifications was: [AAA-WG]: Diameter Base update

From: <[email-masked]>
Date: Fri, 26 Jul 2002 15:22:05 +0300

Hi all,

To prevent misunderstandings, VSCs were added in Diameter draft -03
(I think).  Shortly after this, Randy Bush (wearing his AD hat) posted
an issue about this.  After the last WG last call, Randy said that
as AD, he could not let the spec pass until this issue was resolved.

The chairs, ADs, some IESG members and I had several calls to figure
out ways to resolve this & verified that this was OK with 3GPP, via
Stephen Hayes.  The resolution of the issue is in the current draft,
version 12.

Now, I think that many members of the WG do not see the potential
interoperability problem introduced by VSCs, and are asking for
some illustrations on why this is a problem.  I would hope that
the WG Chairs & IESG members submit at least an example of how
VSCs could get us into trouble.

Finally, with regards to 3GPP.  I understand that 3GPP has 2 unique
uses of Diameter in their network.  These uses should require seperate
applications.  Currently, the IETF is allowing the use of experimental
command codes in these applications - I think only one actually requires
them.  3GPP has intended to use vendor extensions for these cases,
but I believe the IESG would prefer to see Internet Standards made
from these applications.  I think the next 3GPP release should use
Internet Standards for these applications, which means some additional
work for the AAA WG.  After my vacation, I intend to review the existing
drafts & see if I can assist these documents progress to RFC status.

best regards,
John

> -----Original Message-----
> From: ext [mailto:[email-masked]]
> Sent: 26 July, 2002 13:11
> To: [email-masked]
> Subject: RE: [AAA-WG]: Diameter Base update
> 
> 
> Randy et al,
> 
> My interpretation of the agreement that was reached between 3GPP and the
> IETF AAA WG is that the experimental command codes are something 3GPP can
> *LIVE* with but it has its floors. Particularly if experimental command
> codes "limited lifetime" is only 2 years which I believe was the last
> agreement..?
> 
> I would still prefer the original method of Vendor Command 
> Codes with IANA
> assigning Vendor IDs which never expire. And I would be interested in
> reading a good technical argument as to why these limited lifetime
> Experimental Command Codes are better than the original Vendor Command
> Codes. As far as I can see, they're going to be worse as the 
> lifetime from
> development, through testing, to full deployment/roll-out in 
> a network such
> as ours, would be about 2 years! So by the time we've rolled 
> it out, it's
> going to be prone to errors. How is this better!?
> 
> Cheers,
> Nick
> 
> P.S.
> Randy, I think you mean "ad hominem" or probably more specifically
> "argumentative ad hominem" which for those who don't know 
> Latin, basically
> means attacking the man instead of the argument.
> 
> > -----Original Message-----
> > From: Randy Bush [mailto:[email-masked]]
> > Sent: 26 July 2002 2:08am
> > To: Glen Zorn
> > Cc: [email-masked]; [email-masked]
> > Subject: RE: [AAA-WG]: Diameter Base update
> > 
> > 
> > glen,
> > 
> > i am having a hard time finding any technical substance in your
> > argument.  could you please be more clear?
> > 
> > as 3gpp and all other actual users (including prominent cisco folk)
> > have agreed that this is a sufficient forward path, the end of the
> > world does not appear very nigh from this vantage point.  and the
> > ad homina are definitely not useful.
> > 
> > randy
> > 
> > 
> > >> I have updated the base spec & sent it to the drafts editor
> > >> for publication.
> > > 
> > > I think that this move is at best premature.  Allison 
> > Mankin (the only IESG
> > > member I could find who had even partially read a recent 
> > version of the
> > > draft) has promised to produce a document 'in a couple of 
> > weeks' detailing
> > > her objections (if any) to the draft and I think it would 
> > be far better to
> > > wait and see what she has to say, instead of just caving in 
> > to Randy's
> > > technically unjustified demands.  Furthermore, I find it 
> > difficult to
> > > believe that there is any WG consensus on these changes.
> > > 
> > >> For those of you who want to get an
> > >> early look, it can be grabbed from here:
> > >>
> > >> http://www-nrc.nokia.com/sua/draft-ietf-aaa-diameter-12.txt
> > >>
> > >> The major changes deal with the replacing of Vendor Command
> > >> Codes with Experimental Command codes.  Hopefully, the
> > >> change is sufficient & we can send this to the IESG.
> > > 
> > > I may be alone on this, but I don't believe that our job as 
> > a WG is to twist
> > > and spindle and mutilate our work until it is acceptable to 
> > the IESG (in
> > > this case, actually just one IESG member).  Rather, our 
> > task is to produce
> > > the best work we can _through the rough-consensus based 
> > IETF process_ and
> > > submit it.  If the IESG refuses to even look at it, then we 
> > should abandon
> > > our work, rather than participating in a clear violation of 
> > the process.
> > > Let _them_ explain to ITU-T and TIA (not to mention 
> > Vodafone, Orange, SK
> > > Telecom, etc.) why they are blocking the deployment of 3G, 
> > since they don't
> > > seem to be disposed to explain it to us.
> > 
>

---

From: "Fredrik Johansson" <[email-masked]>
Date: Mon, 29 Jul 2002 10:21:16 +0200

> as AD, he could not let the spec pass until this issue was resolved.

He posted an issue, but he never gave any technical explanation to what the
problem is.

> Stephen Hayes.  The resolution of the issue is in the current draft,

Correct me if I'm wrong, but I thought that the IETF process called for WG
consensus, not for consensus from another standardization body.

/Fredrik